Google

1 сент. 2014 г.

OpenSuse: Исправляем ошибку Thread: Fatal error database recovery fring installing a package


При установке любого приложения через менеджер пакетов Zypper возникает ошибка:
(with --nodeps --force) Error: Subprocess failed. Error: RPM failed: rpmdb:
PANIC: Invalid argument
rpmdb: PANIC: fatal region error detected; run
recovery
error: db4 error(-30977) from dbcursor->c_put: DB_RUNRECOVERY: Fatal error, run
database recovery
error: error(-30977) storing record libc.so.6(GLIBC_2.0) into
Requirename
rpmdb: PANIC: fatal region error detected; run
recovery
error: db4 error(-30977) from dbcursor->c_get: DB_RUNRECOVERY: Fatal error, run
database recovery
error: error(-30977) getting "libc.so.6(GLIBC_2.1)" records from Requirename
index
rpmdb: PANIC: fatal region error detected; run
recovery
error: db4 error(-30977) from dbcursor->c_get: DB_RUNRECOVERY: Fatal error, run
database recovery
error: error(-30977) getting "libc.so.6(GLIBC_2.2)" records from Requirename
index
rpmdb: PANIC: fatal region error detected; run
recovery
error: db4 error(-30977) from dbcursor->c_get: DB_RUNRECOVERY: Fatal error, run
Для устранения данной ошибки в консоли переключаемся на super user:
su
Вводим пароль и выполняем команду:
rpm --rebuilddb 
После чего пробуем снова установить интересующее приложение.

0 comments:

Отправить комментарий

Social